function [num,len]= bin_two_dec(fir_matrix,sec_matrix,bin_index)
nfir_Size = length(fir_matrix);
fir_len = ceil(fir_matrix/bin_index);
fir_csize = fir_len*bin_index;
cpoint = zeros(1,fir_csize);
cpoint(1:nfir_Size) = fir_matrix;
fir_num = zeros(1,fir_len);
index = 0;
for i=1:fir_len%十进制的矩阵变为二进制的的矩阵
    apoint = zeros(1,bin_index);
    apoint = cpoint((i-1)*bin_index+1:i*bin_index);
    for j = 1:bin_index
        num(i) = num(i) + 2^(j-1)*apoint(bin_index + 1 - j);
    end
end
